# Welcome to Clover

This site provides documentation for Clover, an Operating System parachain on the Polkadot network. Here, you'll find both high-level and technical information for developers, collators, end users, and other Clover network participants.

This site will be updated from as Clover evolves. We welcome everyone joins the Clover community and contribute to this site and the project.

## What is Clover

Clover is a Substrate-based Polkadot parachain. Clover is committed to providing easy-to-use blockchain infrastructure and creating a one-stop comprehensive infrastructure platform, which aims to reduce the threshold and cost for developers, while bringing them great returns.&#x20;

### Passport to the Omniverse

Clover is the passport to the omniverse, which contains storage layer, smart contract layer, Defi protocol layer and eApp layer, in details:

* Storage layer: Storage protocol layer supports distributed storage of dApp data. The supported protocols are IPFS, AR, CRUST etc.
* Smart contract layer: It supports one-stop cross-chain deployment and calls of dApp. Clover provides a Web3-compatible API,  and existing web3 dApps can be migrated to Clover without any change needed.
* Defi protocol layer: It supports various basic Defi protocols, such as Swap, Lending, Insurance, etc. It also provides a platform on where developers can build their own Defi protocols. Also, Clover provides a drag-drop smart contract compiler, which is easy-to-use, faultless and can be compiled to WASM.
* eApp layer: It supports the evolution from dApp to eApp (External App). Developers can build and deploy their eApp easily on Clover, without the need for machines, domain names, or network bandwidth.

### Built on Substrate

Substrate is technically fit for Clover. By building on top of Substrate, Clover is able to leverage the extensive functionalities that Substrate provides out-of-the-box, rather than needing to build them from scratch. These functionalities include peer-to-peer networking, consensus mechanisms, governance functionality, EVM implementation, and more.

Overall, using Substrate will dramatically reduce the time and work needed to implement Clover. Substrate allows a great degree of customization, which is compulsory when achieving compatibility with Ethereum. Meanwhile, by adopting Rust, Clover will gain both safety guarantee and performance enhancement.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clv.org/portal/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
